Create one product and service
post
/fscmRestApi/resources/11.13.18.05/suppliers/{SupplierId}/child/productsAndServices
Request
Path Parameters
-
SupplierId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
CategoryName: string
Title:
Category NameMaximum Length:255Name of the products and services category that the application assigns to the supplier. -
CategoryType: string
Title:
Category TypeMaximum Length:255If true, then the product and service category is of type Purchasing. If false, then it's of type Browsing. -
ProductsServicesCategoryId: integer
(int64)
Value that uniquely identifies the supplier products and services category.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : suppliers-productsAndServices-item-response
Type:
Show Source
object-
CategoryDescription: string
Title:
DescriptionRead Only:trueMaximum Length:255Description of the products and services category that the application assigns to the supplier. -
CategoryName: string
Title:
Category NameMaximum Length:255Name of the products and services category that the application assigns to the supplier. -
CategoryType: string
Title:
Category TypeMaximum Length:255If true, then the product and service category is of type Purchasing. If false, then it's of type Browsing. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who created the supplier products and services category. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate and time when the application created the supplier products and services category. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueDate when the supplier products and services category row was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the supplier products and services category row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProductsServicesCategoryId: integer
(int64)
Value that uniquely identifies the supplier products and services category.
-
SupplierProductsServicesId: integer
(int64)
Title:
Classification IDRead Only:trueValue that uniquely identifies the products and services category associated with a supplier.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to create a product and service.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/suppliers/SupplierId/child/productsAndServices"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.
{
"CategoryName": "Desktop",
"CategoryDescription": null,
"CategoryType": "BROWSING"
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"ProductsServicesCategoryId": 300100037821290,
"SupplierProductsServicesId": 300100184758225,
"CategoryName": "Desktop",
"CategoryDescription": null,
"CategoryType": "BROWSING",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/suppliers/999992000331527/child/productsAndServices/300100184758225",
"name": "productsAndServices",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/suppliers/999992000331527/child/productsAndServices/300100184758225",
"name": "productsAndServices",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/suppliers/999992000331527",
"name": "suppliers",
"kind": "item"
}
]
}